Vizia RF error and general HSDK newbie questions...

etc6849

Senior Member
So I downloaded the Vizia RF Z-Wave driver Damon was nice enough to post. It appears to be working fine. However, after I restart SYS, it fails to connect with the RS232 Z-Wave controller. Attached are pictures of the problem and the error message.

Anyone with Visual Studio willing to poke around and see what the issue is? If not, anyone know which version of visual studio and which HSDK I would need? Is the 2.1 HSDK backwards compatible with source code compiled from the 1.0 version? Also, does the "compatible with Visual Studio 2005" found below mean that I can compile C++ source code using VS 2005 and the 2.1 HSDK? I'd be interested in compiling all the public Premise source code for practice and as a learning tool: stuff Damon has posted, the UPB driver etc, but just need a little help picking which HSDK/ Visual Studio combination I need. After all, I can only afford to buy one Visual Studio version and don't want to screw up and buy the wrong one :)

So many choices...
Version 2.1
Published: 01/19/2006
Compatible with Visual Studio 2005 only

Download HSDK 2.1 (16.3MB)
New changes in Version 2.1

Version 1.0
Published: 04/11/2004
Compatible with Visual C++ 6.0, Visual Studio .NET 2002, Visual Studio .NET 2003

Download HSDK 1.0 (29.4MB)
 

Attachments

  • viziarf_error_upon_restart.jpg
    viziarf_error_upon_restart.jpg
    45.3 KB · Views: 20
  • error_upon_restart.jpg
    error_upon_restart.jpg
    29.6 KB · Views: 19

etc6849

Senior Member
It appears if you go to: ...\Premise\SYS\bin\devices

You'll see that there is already a dll named spLeviton.dll. If you shutdown the SYS service and remove this dll, then add Damon's dll named SPLEVITON_DR.dll everything works good with no errors even after restarting SYS :D

However, I'm still looking for answers to the HSDK questions :)
 

123

Senior Member
... does the "compatible with Visual Studio 2005" found below mean that I can compile C++ source code using VS 2005 and the 2.1 HSDK? ...
Version 2.1
Published: 01/19/2006
Compatible with Visual Studio 2005 only
...

HSDK 2.1 is what you need if you wish to create new drivers. I've never compiled driver code based on HSDK 1.0 so I can't comment on how well it works if you are using HSDK 2.1. I'll hazard a guess that it will compile properly.

You can use Visual Studio 2008 to compile drivers based on HSDK 2.1. HSDK 2.1 comes with an installation program that adds driver wizards to VS 2005. This installer does not work with VS 2008. However, see this post to learn how to manually add the wizards to VS 2008.

If you wish, I can provide you with the C++ source code for the USB-UIRT driver. I developed it using VS2005 and HSDK 2.1.
 

etc6849

Senior Member
Thanks for the input. I'll have to look into VS 2008, although a friend has VS2005 he is willing to sell. What version of VS do you use? I'm assuming I don't need the full $800 professional version to do what I need (write drivers in .net or C++) and that the standard edition would work fine?
 
Top